> For the complete documentation index, see [llms.txt](https://docs.cs-cart.jp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cs-cart.jp/core/shop-front/blocks.md).

# ブロック

ブロックとその動作は、`app/schemas/block_manager`ディレクトリにあるスキーマによって制御されます。

* `blocks.php`—ブロックのタイプを説明するメインスキーマ
* `blocks.functions.php` —メインスキーマで使用される関数
* `block_cache_properties.php` —キャッシュをサポートするすべてのブロックにグローバルに適用されるキャッシュパラメーター
* `dispatch_descriptions.php` —ディスパッチと言語に対応する変数のリスト。このファイルはDispatch、場所を追加/編集するときにフィールドのリストを作成する際にのみ必要です
* `templates.php` —ブロックで使用できるSmartyテンプレートで使用可能なパラメーターの説明
* `fillings.php`—ブロックの内容と詳細
* `dynamic_objects.php` —ダイナミックオブジェクト


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cs-cart.jp/core/shop-front/blocks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
